# WOK
TKWOK
WOKNT

# WOKNT_StackOfHandle Class Reference

`#include <WOKNT_StackOfHandle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKNT_StackOfHandle ()
Standard_EXPORT const WOKNT_StackOfHandle & | Assign (const WOKNT_StackOfHandle &Other)
const WOKNT_StackOfHandle & | operator= (const WOKNT_StackOfHandle &Other)
Standard_Boolean | IsEmpty () const
Standard_Integer | Depth () const
Standard_EXPORT const WOKNT_Handle & | Top () const
Standard_EXPORT void | Push (const WOKNT_Handle &I)
Standard_EXPORT void | Pop ()
Standard_EXPORT void | Clear ()
| ~WOKNT_StackOfHandle ()
Standard_EXPORT WOKNT_Handle & | ChangeTop ()

## Private Member Functions

Standard_EXPORT | WOKNT_StackOfHandle (const WOKNT_StackOfHandle &Other)

## Private Attributes

Standard_Address | myTop
Standard_Integer | myDepth

## Constructor & Destructor Documentation

Standard_EXPORT WOKNT_StackOfHandle::WOKNT_StackOfHandle | ( |  | ) |

WOKNT_StackOfHandle::~WOKNT_StackOfHandle | ( |  | ) | `[inline]`

Standard_EXPORT WOKNT_StackOfHandle::WOKNT_StackOfHandle | ( | const WOKNT_StackOfHandle & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const WOKNT_StackOfHandle& WOKNT_StackOfHandle::Assign | ( | const WOKNT_StackOfHandle & | Other | ) |

Standard_EXPORT WOKNT_Handle& WOKNT_StackOfHandle::ChangeTop | ( |  | ) |

Standard_EXPORT void WOKNT_StackOfHandle::Clear | ( |  | ) |

Standard_Integer WOKNT_StackOfHandle::Depth | ( |  | ) | const

Standard_Boolean WOKNT_StackOfHandle::IsEmpty | ( |  | ) | const

void WOKNT_StackOfHandle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKNT_StackOfHandle::operator new | ( | size_t | size | ) | `[inline]`

void* WOKNT_StackOfHandle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const WOKNT_StackOfHandle& WOKNT_StackOfHandle::operator= | ( | const WOKNT_StackOfHandle & | Other | ) | `[inline]`

Standard_EXPORT void WOKNT_StackOfHandle::Pop | ( |  | ) |

Standard_EXPORT void WOKNT_StackOfHandle::Push | ( | const WOKNT_Handle & | I | ) |

Standard_EXPORT const WOKNT_Handle& WOKNT_StackOfHandle::Top | ( |  | ) | const

## Field Documentation

Standard_Integer WOKNT_StackOfHandle::myDepth `[private]`

Standard_Address WOKNT_StackOfHandle::myTop `[private]`

The documentation for this class was generated from the following file:

- WOKNT_StackOfHandle.hxx